### Method

# Gimp Procedure get_arguments

since: 3.0

#### Declaration [src]

    GParamSpec**
    gimp_procedure_get_arguments (
      GimpProcedure* procedure,
      gint* n_arguments
    )

#### Description

No description available.

Available since: 3.0

#### Parameters

`n_arguments`

  Type: `gint*`

  Returns the number of arguments.

  The argument will be set by the function.

#### Return value

Type: An array of `GParamSpec*`

An array of `GParamSpec` in the order they were added in.

The length of the array is in the `n_arguments` argument.
The returned data is owned by the instance.